function [C,D,tc]=clarity_nz(y,fs,T)
% T: ms-ben
% A BEMENETRE TERJEDESI KESLELTETES NELKULI IMPULZUSVALASZ KELL!!
% zajkorrekció nélküli, T vektor is lehet

C=NaN(size(T)); D=NaN(size(T)); % init

Lt=length(T);

energia = y.^2; % (y^2) - RMS(zaj // keskenysáv is lehet)
t=(0:length(energia)-1)/fs;
Eo=sum(energia(1:end));

tc = sum(energia(:).*t(:))./Eo;
    
for j=1:Lt
    pnter=T(j)*fs/1000;
    Ee=sum(energia(1:pnter));    
    El=sum(energia(pnter+1:end));    
    C(j)=10*log10(Ee/El);
    D(j)=100*(Ee/Eo);
end;